#include <iostream>
#include <string.h>
#include <string>
#include <cmath>
using namespace std;

int main()
{
    char s[3];
    cin>>s;
    int a,b,i,n;
    cin>>a>>b;
    char c[100002];
    n=0;
    if(abs(a-b)<=1)
    {
        if(a>b)
        {
            for(i=0; i<b; i++)
            {
           c[n]=s[0];
           n++;
           c[n]=s[1];
           n++;
            }
            c[n]=s[0];
            n++;
            c[n]='\0';
            cout<<c;
        }
        else
        {
            for(i=0; i<a; i++)
            {
           c[n]=s[1];
           n++;
           c[n]=s[0];
           n++;
            }
            if(b>a)
            {
            c[n]=s[1];
            n++;
            }
            c[n]='\0';
            cout<<c;
        }
    }
    else
    {
        cout<<"nemoguce";
    }
    return 0;
}